<%@ page language="java" import="java.util.*" pageEncoding="UTF-8"%>
<%
String path = request.getContextPath();
String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";

%>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
  <head>
    <base href="<%=basePath%>">
    
    <title></title>
    
	<meta http-equiv="pragma" content="no-cache">
	<meta http-equiv="cache-control" content="no-cache">
	<meta http-equiv="expires" content="0">    
	<meta http-equiv="keywords" content="keyword1,keyword2,keyword3">
	<meta http-equiv="description" content="This is my page">
	
  <script type="text/javascript">
  function video()
  {
	  	var dyPlay = document.getElementById("dyPlay");
		//设置IP
		dyPlay.ServerIP = "<%=request.getParameter("ip")%>";
		//设置端口
		dyPlay.ServerPort = "<%=request.getParameter("port")%>";
		//设置设备号
		dyPlay.SimOrNumber = "<%=request.getParameter("num")%>";
		//设置车牌
		var chepai = "<%=request.getParameter("licencePlate")%>";
		dyPlay.LicencePlate = decodeURI(chepai);
		//设置是否保存抓拍图片
		dyPlay.IsCapturePictureSave = true;
		//设置是否兼容模式显示视频
		dyPlay.IsCompatible = true;
		//设置保存路径
		dyPlay.CapturePicturePath = "D:\\FileRecv\\";
		//设置下载录像路径
		dyPlay.SDDownloadPath = "D:\\FileRecv\\";
		//连接服务端
		dyPlay.StartConn();
  }
  function closeplay(){
	  dyPlay.DyPlayClose();
  }
  </script>
  </head>
  
  <body onload="video();">
    <object id="dyPlay" classid="clsid:C37A731A-11E9-4fbb-913A-4C3679A42C46" style="height:425px;width:620px;font-size:13px;" > </object> 
  </body>
</html>
